petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCompositeGetISLocalToGlobalMappings

gets an ISLocalToGlobalMapping for each DM in the DMComposite, maps to the composite global space

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGetISLocalToGlobalMappings(DM dm,ISLocalToGlobalMapping **ltogs)

Collective on DM Many br

### Input Parameter

dm -the packer object Many br

### Output Parameters

ltogs -the individual mappings for each packed vector. Note that this includes Many brall the ghost points that individual ghosted DMDA's may have. Many br

Many br

### Notes

Each entry of ltogs should be destroyed with ISLocalToGlobalMappingDestroy(), the ltogs array should be freed with PetscFree(). Many br

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetAccess(), DMCompositeScatter(), Many brDMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(),DMCompositeGetEntries() Many br

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages